<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

class BinContact_Taxonomy
{
	function __construct()
	{
		// register taxomomy
		add_action('init', [$this, 'init']);
	}
	
	public function init()
	{
		register_taxonomy('contact_group', 'contact', [
			'hierarchical' => false,
			'labels' => [
				'name' => _x('Groups', 'taxonomy general name', 'bin-contact'),
				'singular_name' => _x('Group', 'taxonomy singular name', 'bin-contact'),
				'search_items' => __('Search groups', 'bin-contact'),
				'popular_items' => __('Popular groups', 'bin-contact'),
				'all_items' => __('All groups', 'bin-contact'),
				'parent_item' => null,
				'parent_item_colon' => null,
				'edit_item' => __('Edit group', 'bin-contact'),
				'update_item' => __('Update group', 'bin-contact'),
				'add_new_item' => __('Add new group', 'bin-contact'),
				'new_item_name' => __('New group name', 'bin-contact'),
				'separate_items_with_commas' => __('Separate categories with commas', 'bin-contact'),
				'add_or_remove_items' => __('Add or remove categories', 'bin-contact'),
				'choose_from_most_used' => __('Choose from the most used categories', 'bin-contact'),
				'not_found' => __('No categories found.', 'bin-contact'),
				'menu_name' => __('Groups', 'bin-contact'),
			],
			'show_ui' => true,
			'show_admin_column' => true,
			'show_in_rest' => true,
			'rest_base' => 'contact_group',
			'update_count_callback' => '_update_post_term_count',
			'query_var' => true,
			//'rewrite' => ['slug' => 'writer'],
		]);	
	}
}